Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields | Static Public Attributes
Lucene::BucketTable Class Reference

A simple hash table of document scores within a range. More...

`#include <BooleanScorer.h>`

Inheritance diagram for Lucene::BucketTable:

## Public Member Functions

| BucketTable ()
virtual | ~BucketTable ()
virtual String | getClassName ()
boost::shared_ptr< BucketTable > | shared_from_this ()
CollectorPtr | newCollector (int32_t mask)
int32_t | size ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

Collection< BucketPtr > | buckets
BucketPtr | first

## Static Public Attributes

static const int32_t | SIZE
static const int32_t | MASK

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A simple hash table of document scores within a range.

## Constructor & Destructor Documentation

## ◆ BucketTable()

Lucene::BucketTable::BucketTable | ( |  | ) |

## ◆ ~BucketTable()

virtual Lucene::BucketTable::~BucketTable | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::BucketTable::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::BucketTable::getClassName | ( |  | ) |

inline virtual

## ◆ newCollector()

CollectorPtr Lucene::BucketTable::newCollector | ( | int32_t | mask | ) |

## ◆ shared_from_this()

boost::shared_ptr< BucketTable > Lucene::BucketTable::shared_from_this | ( |  | ) |

inline

## ◆ size()

int32_t Lucene::BucketTable::size | ( |  | ) |

## Field Documentation

## ◆ buckets

Collection<BucketPtr> Lucene::BucketTable::buckets

## ◆ first

BucketPtr Lucene::BucketTable::first

## ◆ MASK

const int32_t Lucene::BucketTable::MASK

static

## ◆ SIZE

const int32_t Lucene::BucketTable::SIZE

static

The documentation for this class was generated from the following file:

- BooleanScorer.h

clucene.sourceforge.net